List Agents
Retrieve a paginated list of agents for given location.
GET
/
voice-ai
/
agents
List Agents
curl --request GET \
--url https://services.leadconnectorhq.com/voice-ai/agents \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/voice-ai/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/voice-ai/agents"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"total": 150,
"page": 2,
"pageSize": 10,
"agents": [
{
"id": "507f1f77bcf86cd799439011",
"locationId": "LOC123456789ABCDEF",
"agentName": "Customer Support Agent",
"businessName": "Acme Corporation",
"welcomeMessage": "Hello! Thank you for calling. How can I assist you today?",
"agentPrompt": "You are a helpful customer service representative.",
"voiceId": "507f1f77bcf86cd799439011",
"language": "en-US",
"patienceLevel": "medium",
"maxCallDuration": 600,
"sendUserIdleReminders": true,
"reminderAfterIdleTimeSeconds": 5,
"timezone": "America/New_York",
"isAgentAsBackupDisabled": false,
"actions": [
{
"_id": "507f1f77bcf86cd799439011",
"actionType": "CALL_TRANSFER",
"name": "Transfer to Manager",
"actionParameters": {
"triggerPrompt": "When caller asks for manager",
"triggerMessage": "Let me transfer you",
"transferToType": "number",
"transferToValue": "+1234567890"
}
}
],
"inboundNumber": "+1234567890",
"numberPoolId": "pool_507f1f77bcf86cd799439011",
"callEndWorkflowIds": [],
"sendPostCallNotificationTo": {
"admins": true,
"allUsers": false,
"contactAssignedUser": false,
"specificUsers": [],
"customEmails": []
},
"agentWorkingHours": [],
"translation": {
"enabled": false,
"language": "es"
}
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Access Token or Private Integration Token
Headers
API Version
Available options:
2021-04-15 Query Parameters
Page number starting from 1
Required range:
1 <= x <= 5000Example:
1
Number of items per page
Required range:
1 <= x <= 50Example:
10
Location ID
Query
Last modified on March 7, 2026
Was this page helpful?
⌘I
List Agents
curl --request GET \
--url https://services.leadconnectorhq.com/voice-ai/agents \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/voice-ai/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/voice-ai/agents"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"total": 150,
"page": 2,
"pageSize": 10,
"agents": [
{
"id": "507f1f77bcf86cd799439011",
"locationId": "LOC123456789ABCDEF",
"agentName": "Customer Support Agent",
"businessName": "Acme Corporation",
"welcomeMessage": "Hello! Thank you for calling. How can I assist you today?",
"agentPrompt": "You are a helpful customer service representative.",
"voiceId": "507f1f77bcf86cd799439011",
"language": "en-US",
"patienceLevel": "medium",
"maxCallDuration": 600,
"sendUserIdleReminders": true,
"reminderAfterIdleTimeSeconds": 5,
"timezone": "America/New_York",
"isAgentAsBackupDisabled": false,
"actions": [
{
"_id": "507f1f77bcf86cd799439011",
"actionType": "CALL_TRANSFER",
"name": "Transfer to Manager",
"actionParameters": {
"triggerPrompt": "When caller asks for manager",
"triggerMessage": "Let me transfer you",
"transferToType": "number",
"transferToValue": "+1234567890"
}
}
],
"inboundNumber": "+1234567890",
"numberPoolId": "pool_507f1f77bcf86cd799439011",
"callEndWorkflowIds": [],
"sendPostCallNotificationTo": {
"admins": true,
"allUsers": false,
"contactAssignedUser": false,
"specificUsers": [],
"customEmails": []
},
"agentWorkingHours": [],
"translation": {
"enabled": false,
"language": "es"
}
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}